PAUSE(3V)

NAME
pause - stop until signal

SYNOPSIS

int pause()

DESCRIPTION

pause() never returns normally. It is used to give up control while waiting for a signal from kill(2V) or an interval timer, see getitimer(2). Upon termination of a signal handler started during a pause, pause() will return.

RETURN VALUES

When it returns, pause() returns -1.

ERRORS

When it returns, pause() sets errno to:

EINTR
    A signal is caught by the calling process and control is returned from the signal-catching function.

SEE ALSO
kill(2V), getitimer(2), select(2), sigpause(2V)